andyding 发表于 2023-6-19 10:34:15

andyding 发表于 2021-4-25 11:43
(vla-put-ModelCrosshairColor
    DISPLAY
    (vlax-make-variant


(defun c:test (/ col colc DISPLAY)
(setq        DISPLAY        (vla-get-display
                  (vla-get-preferences
                  (vla-get-application (vlax-get-acad-object))
                  )
                )
)
(if (= (getenv "Background") "0")
    (setq col 255
          colc 0
    )
    (setq col0
          colc 255
    )
)
(vla-put-graphicswinmodelbackgrndcolor
    DISPLAY
    (vlax-make-variant
      (+ col (* col 256) (* col 65536))
      vlax-vblong
    )
)
(vla-put-ModelCrosshairColor
    DISPLAY
    (vlax-make-variant
      (+ colc (* colc 256) (* colc 65536))
      vlax-vblong
    )
)
(princ)
)
页: 1 [2]
查看完整版本: 如何通过lsp编写一命令一键修改屏幕背景色